<?php // EnXaK by Кодер :-D
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);

if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<span class=\"status\">$ank[group_name]</span><br />\n";
if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&raquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";
include_once 'sys/inc/tfoot.php';
exit;
}
$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}

$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']="$ank[nick] [ID: $ank[id]]";
include_once 'sys/inc/thead.php';
title();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#info\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));
aut();
echo "<div class='wm'>\n";
echo "".status($ank['id'])."";
echo " $ank[nick]</a></b>";
if ($ank['group_access']>1)echo " ($ank[group_name])<br />\n";
echo "</div>\n";
if(isset($user)){
$div="wm";
echo "<div class='$div'>";
avatar($ank['id']);
//echo "<br />\n";
echo "</div>";

echo "<div class='wm'>\n";
$q=mysql_query("SELECT * FROM `rank` WHERE `id_user` = '$ank[id]' LIMIT 5");

while($post=mysql_fetch_array($q))
{
$rank=mysql_fetch_array(mysql_query("SELECT * FROM `rank_list` WHERE `id` = '$post[id_rank]' LIMIT 1"));
echo "<img src='/rank/img_rank/$rank[id].png' alt='*' class='icon'/> ";
}
if(mysql_num_rows($q)>5)echo "<a href='/rank/?id=$ank[id]'>&raquo;</a>";
echo "<br /><img src='/style/icons/star.png' alt='' class='icon'/>  <a href=\"rank/index.php?id=$ank[id]\" title=\"Все\">Награды: <span class=\"user_pro\">$ank[nick] </span></a>(".mysql_result(mysql_query("SELECT COUNT(*) FROM `rank` WHERE `id_user` = '$ank[id]'"),0).")<br />\n";
echo "</div>";


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0)!=0)
{
$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 5");
while ($post = mysql_fetch_array($q))
{
$q=mysql_query("SELECT *
FROM `ban` WHERE `id_user` =
'$ank[id]' AND `time` > '$time'
ORDER BY `time` DESC LIMIT 5");
while ($post =
mysql_fetch_assoc($q))
{
$kto=get_user($post['id_ban']);
echo "<div class='anton'><b>$kto[nick]</b> дал бан по причине<br />";
echo "<b>".output_text($post['prich'])."</b><br />";

$test=$post['time']-time();
$timediff=$test;
$oneMinute=60;
$oneHour=60*60;
$oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));

$sDaysLeft=$dayfield;$sDaysText = "дней";
$nDaysLeftLength =strlen($sDaysLeft);
$d_1=substr($sDaysLeft,-1,1);

if (substr($sDaysLeft,-2,1) != 1 && $nDaysLeftLength>1)
{
if ($d_1 == 2 || $d_1== 3 || $d_1== 4)
{
$sDaysText = "дня";
}
elseif ($d_1== 1)
{
$sDaysText = "день";
}
}
if ($nDaysLeftLength==1)
{
if ($d_1==2 || $d_1== 3 || $d_1== 4)
{
$sDaysText = "дня";
}
elseif ($d_1== 1)
{
$sDaysText = "день";
}
}
$sHoursLeft=$hourfield;
$sHoursText = "часов";
$nHoursLeftLength = strlen($sHoursLeft);
$h_1=substr($sHoursLeft,-1,1);
if (substr($sHoursLeft,-2,1) != 1 && $nHoursLeftLength>1)
{
if ($h_1== 2 || $h_1== 3 || $h_1== 4)
{
$sHoursText = "часа";
}
elseif ($h_1== 1)
{
$sHoursText = "час";
}
}

if ($nHoursLeftLength==1)
{
if ($h_1== 2 || $h_1== 3 || $h_1== 4)
{
$sHoursText = "часа";
}
elseif ($h_1== 1)
{
$sHoursText = "час";
}
}

$sMinsLeft =$minutefield;
$sMinsText = "минут";
$nMinsLeftLength = strlen($sMinsLeft);
$m_1=substr($sMinsLeft,-1,1);

if ($nMinsLeftLength>1 && substr($sMinsLeft,-2,1) != 1)
{
if ($m_1== 2 || $m_1== 3 || $m_1== 4)
{
$sMinsText = "минуты";
}
else if ($m_1== 1)
{
$sMinsText = "минута";
}
}

if ($nMinsLeftLength==1)
{
if ($m_1== 2 || $m_1==3 || $m_1== 4)
{
$sMinsText = "минуты";
}
elseif ($m_1== "1")
{
$sMinsText = "минута";
}
}

$sSecsLeft = $secondfield;
$sSecsText = "секунд";
$s_1=substr($sSecsLeft,-1,1);
$nSecsLeftLength = strlen($sSecsLeft);
if (substr($sSecsLeft,-2,1)!= 1 && $nSecsLeftLength>1)
{
if ($s_1== 2 || $s_1== 3 || $s_1== 4)
{
$sSecsText = "секунды";
}
elseif ($s_1== 1)
{
$sSecsText = "секунда";
}
}

if ($nSecsLeftLength==1)
{
if ($s_1== 2 || $s_1== 3 || $s_1== 4)
{
$sSecsText = "секунды";
}
elseif ($sSecsLeft== "1")
{
$sSecsText = "секунда";
}
}
if($sDaysLeft==0)$sDaysLeft='';
if($sDaysLeft==0)$sDaysText='';
if($sHoursLeft==0)$sHoursLeft='';
if($sHoursLeft==0)$sHoursText='';
if($sMinsLeft==0)$sMinsLeft='';
if($sMinsLeft==0)$sMinsText='';
$displaystring="".$sDaysLeft." ".$sDaysText." ".$sHoursLeft." ".
$sHoursText." ".
$sMinsLeft." ".
$sMinsText." ".
$sSecsLeft." ".
$sSecsText;

if ($timediff<0) $displaystring='';
#########
if($timediff>0)$ss=' ';
if($timediff<0)$ss='';

echo "Разбан через:<br /> <b>".$ss." ".$displaystring."</b><br />\n";
echo "</div>\n";
}
if ($user['id']!=$ank['id']){
if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "<div class='wm'><a href='/adm_panel/ban.php?id=$ank[id]'>Разбанить</a></div>\n";
}}}else{}
echo "<div class='wm'>";
echo "<img src='/style/icons/ban.png'> <a href=\"/pages/banlist.php?id=$ank[id]\">Нарушений:\n";
$narush=mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"), 0);
echo "".(($narush==0)?" 0<br />\n":" $narush<br />\n");
echo "</a></div>";

################################################################################
echo "<div class='anton'>\n";
if ($ank['avtoritet']==0)echo "<img src='/style/icons/net_avtoritet.png'> <b>Авторитет</b>: Нет<br />\n";
if ($ank['avtoritet']==1)echo "<img src='/style/icons/zv.png' alt='' /> <b>Авторитет:</b> <img src='/style/icons/zv.png' alt='' /><br />\n";
if ($ank['avtoritet']==2)echo "<img src='/style/icons/zv.png' alt='' /> <b>Авторитет:</b> <img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><br />\n";
if ($ank['avtoritet']==3)echo "<img src='/style/icons/zv.png' alt='' /> <b>Авторитет:</b> <img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><br />\n";
if ($ank['avtoritet']==4)echo "<img src='/style/icons/zv.png' alt='' /> <b>Авторитет:</b> <img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><br />\n";
if ($ank['avtoritet']==5)echo "<img src='/style/icons/zv.png' alt='' /> <b>Авторитет:</b> <img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><img src='/style/icons/zv.png' alt='' /><br />\n";

################################################################################
echo "<img src='/style/icons/id.png'/> <b>ID</b>: $ank[id]<br />\n";

################################################################################


if ($ank['ank_odobr']==0)echo "<img src='/style/icons/ank_prov.png'> <b>Проверка анкеты</b>: ------<br />\n";
if ($ank['ank_odobr']==1)echo "<img src='/style/icons/onn.png'> <b>Проверка анкеты</b>: <span class=\"user_pro\">Проверена</span><br />\n";
if ($ank['ank_odobr']==2)echo "<img src='/style/icons/of.png'> <b>Проверка анкеты</b>: <span class=\"user_moshennik\">[Плохая Анкета]</span><br />\n";
################################################################################
if ($ank['ank_vip']==4)echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_pro\"><b>PRO</b></span><br />\n";
else
if ($ank['ank_vip']==3)echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_garant\"><b>Гарант</b></span><br />\n";
else
if ($ank['ank_vip']==2)echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_vip_master\"><b>VIP Мастер</b></span><br />\n";
else
if ($ank['ank_vip']==1)echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_moshennik\"><b>Мошенник</b></span><br />\n";
else
if ($ank['ank_wmid']!=NULL)echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_statys\"><b>Юзер</b></span><br />\n";
else
echo "<img src='/style/icons/status.gif'/> <b>Статус</b>: <span class=\"user_gostj\"><b>Гость</b></span><br />\n";

echo "</div>\n";

################################################################################

echo "<div class='wm'>\n";
if ($ank['ank_name']!=NULL)echo "<img src='/style/ank/1.png'> <b>Имя</b>: $ank[ank_name]<br />\n";
################################################################################
echo "<img src='/style/ank/pol.png'> <b>Пол</b>: ".(($ank['pol']==1)?'Мужской':'Женский')."<br />\n";
################################################################################
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<img src='/style/ank/rog.png'> <b>Дата рождения</b>: $ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.<br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
}


if ($ank['ank_city']!=NULL)
echo "<img src='/style/ank/dom.png'> <b>Город</b>: $ank[ank_city]<br />\n";
echo "</div>\n";
echo "<div class='$div'>";
if ($ank['znaniy']==0)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Не заполнено";
if ($ank['znaniy']==1)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Нуждаюсь в помощи";
if ($ank['znaniy']==2)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Немного знаю";
if ($ank['znaniy']==3)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Знаю структуру";
if ($ank['znaniy']==4)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Разбираюсь";
if ($ank['znaniy']==5)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Кодер";
if ($ank['znaniy']==6)echo "<img src='/style/icons/znan.png'> <b>Знания</b>: Дизайнер";
if ($ank['66x']==1)echo " [<span class=\"user_pro\">6.6.x</span>]";
if ($ank['67x']==1)echo " [<span class=\"user_pro\">6.7.x</span>]";
if ($ank['70x']==1)echo " [<span class=\"user_pro\">Seven</span>]";
echo "<br />";
################################################################################


if ($ank['oput']==0)echo "<img src='/style/icons/opit.png'> <b>Опыт</b>: Новичек<br />\n";
if ($ank['oput']==1)echo "<img src='/style/icons/opit.png'> <b>Опыт</b>: Опытный<br />\n";
if ($ank['oput']==2)echo "<img src='/style/icons/opit.png'> <b>Опыт</b>: Знающий<br />\n";


if ($ank['statoos']==1)echo "<img src='/style/icons/zanyat.png'/> <b>Статус WM</b>: Свободен<br />\n";
if ($ank['statoos']==2)echo "<img src='/style/icons/zanyat.png'/> <b>Статус WM</b>: Занят<br />\n";

################################################################################

if ($ank['yrovenj']==0)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Новичек<br />\n";
if ($ank['yrovenj']==1)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Мастер<br />\n";
if ($ank['yrovenj']==2)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Кодер<br />\n";
if ($ank['yrovenj']==3)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Дизайнер<br />\n";
if ($ank['yrovenj']==4)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Продавец<br />\n";
if ($ank['yrovenj']==5)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Покупатель<br />\n";
if ($ank['yrovenj']==6)echo "<img src='/style/icons/uroven.png'> <b>Уровень</b>: Помощник новичкам<br />\n";

echo "</div>\n";

echo "<div class='$div'><img src='/style/icons/ratings.png'/> <b>Рейтинг</b>:<br />\n";
echo "Подано <a href='who_rating.php?id=$ank[id]'>$ank[rating]</a> голосов<br />\n";
echo "</div>\n";


if(!isset($_GET['kont'])){
echo '<div class="wm"><img src="/style/icons/kont.png"/> <a href="/info.php?id='.$ank['id'].'&kont">Контакты '.$ank['nick'].'</a> [+]<br /></div>';
}else{
echo '<div class="wm"><img src="/style/icons/kont.png"/> <a href="/info.php?id='.$ank['id'].'">Контакты '.$ank['nick'].'</a> [-]<br /></div>';

################################################################################
echo "<div class='wm'>\n";
if ($ank['ank_n_tel']!=NULL)echo "<img src='/style/ank/ntel.png'> <b>Номер телефона</b>: $ank[ank_n_tel]<br />\n";

################################################################################
if ($ank['ank_mail']!=NULL)
echo "<img src='/style/ank/email.png'> <b>E-mail</b>: <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a><br />\n";

################################################################################

if ($ank['ank_skype']!=NULL)
echo "<img src='/style/icons/skype.png'> <b>Skype</b>: <a href=\"skype:$ank[ank_skype]?chat\">$ank[ank_skype]</a><br />\n";

################################################################################

if ($ank['ank_icq']!=NULL)
echo "<img src='http://web.icq.com/whitepages/online?icq=$ank[ank_icq]&img=27' alt='icq' height='16' width='16' /> $ank[ank_icq]<br />\n";
echo "</div>\n";
}

################################################################################


if(!isset($_GET['info'])){
echo '<div class="wm"><img src="/style/icons/ank_info.png"/> <a href="/info.php?id='.$ank['id'].'&info">Информация '.$ank['nick'].'</a> [+]<br /></div>';
}else{
echo '<div class="wm"><img src="/style/icons/ank_info.png"/> <a href="/info.php?id='.$ank['id'].'">Информация '.$ank['nick'].'</a> [-]<br /></div>';


################################################################################
echo "<div class='wm'>\n";
if ($ank['ank_xobbi']!=NULL)
echo "<img src='/style/ank/rodz.png'> <b>Род занятий</b>: $ank[ank_xobbi]<br />\n";
################################################################################

if ($ank['ank_interes']!=NULL)
echo "<img src='/style/ank/int.png'> <b>Интересы</b>: $ank[ank_interes]<br />\n";

################################################################################

if ($ank['ank_operator']!=NULL)
echo "<img src='/style/ank/op.png'> <b>Оператор</b>: $ank[ank_operator]<br />\n";

################################################################################
if ($ank['ank_modeltelefona']!=NULL)
echo "<img src='/style/ank/tel.png'> <b>Модель телефона</b>: $ank[ank_modeltelefona]<br />\n";

if ($ank['ank_o_sebe']!=NULL)
echo "<img src='/style/ank/osb.png'> <b>О себе</b>: $ank[ank_o_sebe]<br />\n";

echo "</div>\n";
}


if(!isset($_GET['statistika'])){
echo '<div class="wm"><img src="/style/icons/stat.png"/> <a href="/info.php?id='.$ank['id'].'&statistika">Статистика '.$ank['nick'].'</a> [+]<br /></div>';
}else{
echo '<div class="wm"><img src="/style/icons/stat.png"/> <a href="/info.php?id='.$ank['id'].'">Статистика '.$ank['nick'].'</a> [-]<br /></div>';

$guest3=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$ank[id]'"),0);

################################################################################

echo "<div class='$div'>";
echo "<img src='/style/icons/star.png'/> <b>Активность на форуме</b>:<br />\n";
$k_p_forum=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_user` = '$ank[id]'"),0);echo "<img src='/style/icons/for_mail.png'/> Всего сообщений: <a href='/forum/my_pp.php?id=$ank[id]'>$k_p_forum</a><br />\n";
$k_them=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/icons/tem.png'/> Всего тем: <a href='/forum/my_tt.php?id=$ank[id]'>$k_them</a></span><br />\n";
echo "</div>";

################################################################################

echo "<div class='$div'>";
echo "<img src='/style/icons/star.png'/> <b>Активность на сайте</b>:<br />\n";
echo "<img src='/style/icons/post.png'/> Сообщений в м-чате: <a href='/guest/'>$guest3</a><br />\n";

$zakl3=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_zakl` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/icons/zakl.png'/> Закладки: <a href='/zakl.php'>$zakl3</a><br />\n";

$mail3=mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank[id]' OR `id_kont` = '$ank[id]'"),0);
echo "<img src='/style/icons/mail.png'/> Приватные сообщения: <a href='/mail.php?id=$ank[id]'>$mail3</a><br />\n";

$komm_loads=mysql_result(mysql_query("SELECT COUNT(*) FROM `loads_komm` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/icons/komm_load.png'/> Комментарии в загрузках: <a href='/loads/new_komm.php?id=$ank[id]'>$komm_loads</a><br />\n";

$news_komm=mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_user` = '$ank[id]'"),0);echo "<img src='/style/icons/komm_new.png'/> Комментарии новостей: <a href='/news/komm.php?id=$ank[id]'>$news_komm</a><br />\n";
$obmennik3=mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='/style/icons/obmen_fil.png'/> Файлы в обменнике: <a href='/obmen/files.php?id=$ank[id]'>$obmennik3</a><br /></div>\n";

echo "<div class='$div'>";

echo "<img src='/style/icons/star.png'/> <b>Виртуальный счёт</b>:<br />\n";
echo "<img src='/style/icons/dolar.png'/> Всего монет: $ank[balls]<br />\n";
echo "</div>";
################################################################################

}
################################################################################

if(!isset($_GET['wmids'])){
if ($ank['ank_wmid']!=NULL)echo '<div class="wm"><img src="/style/icons/wmid.png"/> <a href="/info.php?id='.$ank['id'].'&wmids">WMID '.$ank['nick'].'</a> [<span class=\"user_pro\">+</span>]<br /></div>';
}else{
echo '<div class="wm"><img src="/style/icons/wmid.png"/> <a href="/info.php?id='.$ank['id'].'">WMID '.$ank['nick'].'</a> [<span class=\"user_minus\">-</span>] <br /></div>';

echo "<div class='wm'>";
{
if ($ank['ank_wmid']!=NULL)echo "<img src='/style/icons/wmid.png'/> WMID <a href='http://passport.webmoney.ru/asp/certview.asp?wmid=$ank[ank_wmid]'>$ank[ank_wmid]</a><br />\n";
echo "</div>\n";

################################################################################

if($ank['ank_wmid']!=NULL)
echo "<div class='wm'>BL <img src='http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid={$ank[ank_wmid]}&w=35&h=18&bg=0XDBE2E9'title='Бизнес уровень' border='0' width='35'height='18' align='absmiddle'><br /></div>";
echo "<div class='wm'>Притензии | Отзывы:";
echo " <img src='http://arbitrage.webmoney.ru/xml/AL.aspx?wmid=$ank[ank_wmid]'><br />";
echo "</div>\n";
}
echo "<div class='wm'>";
if($ank['ank_wmr']!=NULL)
echo "<img src='/style/icons/wmr.png'> WMR: $ank[ank_wmr]<br />";

else
echo "<img src='/style/icons/wmr.png'> WMR: Не заполнено</a> <span class=\"off\">*</span><br />\n";
################################################################################
if($ank['ank_wmu']!=NULL)
echo "<img src='/style/icons/wmu.png'> WMU: $ank[ank_wmu]<br />";
else
echo "<img src='/style/icons/wmu.png'> WMU: Не заполнено</a> <span class=\"off\">*</span><br />\n";
echo "</div>\n";
}
echo "<div class='wm'>\n";
if ($ank['ank_sait']!=NULL)
echo "<img src='/style/ank/sait.png'> <b>Сайт</b>: <a href='http://$ank[ank_sait]'>Перейти туда</a><br />\n";
################################################################################
echo "";
$sps=mysql_result(mysql_query("SELECT COUNT(*) FROM `sps` WHERE `id_user_adm` = $ank[id] ",$db), 0);
echo "<img src='/style/icons/sps.png'/> <a href=\"/pages/sps.php?id=$ank[id]\">Сказать спасибо</a>: ($sps)";
echo "<br />";

$enk_frends = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
echo '<img src="/style/icons/friend.png" alt=""/> <a href="/pages/frend.php?id='.$ank['id'].'">Друзья</a> ('.$enk_frends.')<br />';

echo "</div>\n";

echo "<div class='$div'>\n";
echo "<img src='/style/ank/dat.png'> <b>Рег дата</b>: ".vremja($ank['date_reg'])."<br />\n";

echo "<img src='/style/ank/pos.png'> <b>Посл. визит</b>: ".vremja($ank['date_last'])."<br />\n";
echo "</div>\n";
################################################################################

if ($user['level']>$ank['level']){
if ($ank['ip']!=NULL){
if (user_access('user_show_ip') && $ank['ip']!=0){
echo "<div class='wm'><img src='/style/icons/ip.gif'/> <span class=\"ank_n\">IP:</span> <span class=\"ank_d\">".long2ip($ank['ip'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip]'>Бан</a>]";
echo "<br />\n";
}
}


if ($ank['ip_cl']!=NULL){
if (user_access('user_show_ip') && $ank['ip_cl']!=0){
echo "<img src='/style/icons/ip.gif'/> <span class=\"ank_n\">IP (CLIENT):</span> <span class=\"ank_d\">".long2ip($ank['ip_cl'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip_cl]'>Бан</a>]";
echo "<br />\n";
}
}


if ($ank['ip_xff']!=NULL){
if (user_access('user_show_ip') && $ank['ip_xff']!=0){
echo "<img src='/style/icons/ip.gif'/> <span class=\"ank_n\">IP (XFF):</span> <span class=\"ank_d\">".long2ip($ank['ip_xff'])."</span>";
if (user_access('adm_ban_ip'))
echo " [<a href='/adm_panel/ban_ip.php?min=$ank[ip_xff]'>Бан</a>]";
echo "<br />\n";}}
if (user_access('user_show_ua') && $ank['ua']!=NULL)echo "<img src='/style/icons/UA.gif'/> <span class=\"ank_n\">UA:</span> <span class=\"ank_d\">$ank[ua]</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip']))
echo "<img src='/style/icons/ip.gif'/> <span class=\"ank_n\">Пров:</span> <span class=\"ank_d\">".opsos($ank['ip'])."</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip_cl']))
echo "<img src='/style/icons/ip.gif'/> <span class=\"ank_n\">Пров (CL):</span> <span class=\"ank_d\">".opsos($ank['ip_cl'])."</span><br />\n";
if (user_access('user_show_ip') && opsos($ank['ip_xff']))echo "<img src='/style/icons/ip.gif'/> <span class=\"ank_n\">Пров (XFF):</span> <span class=\"ank_d\">".opsos($ank['ip_xff'])."</span><br />\n";
echo "</div>\n";
}


if (isset($user) && $user['id']!=$ank['id'])
echo "<div class='wm'><img src='/style/my_menu/mail.png' alt='' /> <a href=\"/mail.php?id=$ank[id]\">Написать в приват</a><br />\n";
$d1sql = mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1");
$d2sql = mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$ank[id]' AND `frend` = '$user[id]') OR (`user` = '$user[id]' AND `frend` = '$ank[id]') LIMIT 1");
if (isset($user) && $user['id']!=$ank['id'] && mysql_result($d1sql, 0)==0 && mysql_result($d2sql, 0)==0)
{
echo '<img src="/style/icons/friendship.gif"> <a href="/pages/frend_add.php?id='.$ank['id'].'">Предложить дружбу</a><br></div>';
}
else
{
if (isset($user) && $user['id']!=$ank['id'])
echo '<img src="/style/icons/del_frend.png"> <a href="/pages/frend_new.php?no='.$ank['id'].'">Удалить из друзей</a><br></div>';
}

if (isset($user) && $user['id']==$ank['id'])echo "<div class='wm'><img src='/style/my_menu/edit_prof.png' alt='' /> <a href=\"/anketa.php\">Изменить анкету</a><br /></div>\n";



if ($user['level']>$ank['level']){
if (user_access('user_prof_edit'))
echo "<div class='$div'><img src='/style/my_menu/edit_prof.png' alt='' /> <a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
if ($user['level']>4){
echo "<img src='/style/icons/vip.png'> <a href='/adm_panel/vip.php?id=$ank[id]'>Назначить VIP</a><br />";}
if ($user['id']!=$ank['id']){if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "<img src='/style/my_menu/ank.png' alt='' /> <a href='/adm_panel/ban.php?id=$ank[id]'>Нарушения (BAN)</a><br />\n";


if (user_access('user_delete'))
{

echo "<img src='/style/icons/deles.png' alt='' /> <a href='/adm_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a><br /></div>";


if (count(user_collision($mass,1))>1)
//echo " (<a href='/adm_panel/delete_user.php?id=$ank[id]&all'>Все ники</a>)";
echo "<br />\n";
}
}
}
if (user_access('adm_log_read') && $ank['level']!=0 && ($ank['id']==$user['id'] || $ank['level']<$user['level']))
echo "<div class='$div'><img src='/style/icons/contakt.png'> <a href='/adm_panel/adm_log.php?id=$ank[id]'>Отчет админов</a><br /></div>\n";


if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='$div'>- <a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br /></div>\n";

}else{
echo "<div class='wm'>\n";
echo "<center>Что бы получить информацию о юзере, зарегестрируйтесь или авторизуйтесь на сайте!</center>";
echo "</div>\n";
};
include_once 'sys/inc/tfoot.php';
?>
